Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
フィルタリングとページネーション付きでウォレット残高変動履歴を取得
cURL
curl --request GET \ --url https://api.chainstream.io/v2/wallet/{chain}/{walletAddress}/balance-updates \ --header 'Authorization: Bearer <token>'
import requests url = "https://api.chainstream.io/v2/wallet/{chain}/{walletAddress}/balance-updates" headers = {"Authorization": "Bearer <token>"} response = requests.get(url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}}; fetch('https://api.chainstream.io/v2/wallet/{chain}/{walletAddress}/balance-updates', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.chainstream.io/v2/wallet/{chain}/{walletAddress}/balance-updates", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: Bearer <token>" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.chainstream.io/v2/wallet/{chain}/{walletAddress}/balance-updates" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer <token>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.get("https://api.chainstream.io/v2/wallet/{chain}/{walletAddress}/balance-updates") .header("Authorization", "Bearer <token>") .asString();
require 'uri' require 'net/http' url = URI("https://api.chainstream.io/v2/wallet/{chain}/{walletAddress}/balance-updates") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer <token>' response = http.request(request) puts response.read_body
{ "data": [ { "accountOwnerAddress": "<string>", "balanceChange": "<string>", "balanceChangeInNative": "<string>", "balanceChangeInUsd": "<string>", "blockHash": "<string>", "blockHeight": 123, "blockTimestamp": 123, "changeType": "INCREASE", "index": 123, "postBalance": "<string>", "postBalanceInNative": "<string>", "postBalanceInUsd": "<string>", "preBalance": "<string>", "preBalanceInNative": "<string>", "preBalanceInUsd": "<string>", "tokenAccountAddress": "<string>", "tokenAddress": "<string>", "transactionSignature": "<string>", "type": "SOL", "blockSlot": 123 } ], "endCursor": "eyJpZCI6ImVuZCJ9", "hasNext": false, "hasPrev": false, "startCursor": "eyJpZCI6InN0YXJ0In0=", "total": 564094 }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
サポートされているネットワークに記載されているチェーン名 Supported blockchain chains
sol
eth
bsc
ウォレットのアドレス
ページネーションカーソル
ページあたりの結果数
ページネーション方向(next または prev) Pagination direction
next
prev
トークンのアドレス
開始タイムスタンプ(Unix エポック秒)
終了タイムスタンプ(Unix エポック秒)
残高タイプフィルタ(SOL: ネイティブ、SPL: トークン) Balance token type
SOL
SPL
残高変動方向フィルタ(INCREASE または DECREASE) Balance change type
INCREASE
DECREASE
成功レスポンス
Generic pagination response
Page data
Show child attributes
Cursor for the end of current page
"eyJpZCI6ImVuZCJ9"
Whether there is a next page
false
Whether there is a previous page
Cursor for the start of current page
"eyJpZCI6InN0YXJ0In0="
Total number of items matching the query (not just the current page). When None, the caller should treat it as unknown (backward-compatible).
None
564094
このページは役に立ちましたか?